Package javassist.bytecode

# Class StackMap.Walker

java.lang.Object
javassist.bytecode.StackMap.Walker

Enclosing class:
  `StackMap`

public static class StackMap.Walker extends Object
A code walker for a StackMap attribute.

## Constructor Summary

Constructors
Constructor
Description
`Walker(StackMap sm)`
Constructs a walker.

## Method Summary

Modifier and Type
Method
Description
`int`
`locals(int pos, int offset, int num)`
Invoked when `locals` of `stack_map_frame` is visited.
`void`
`objectVariable(int pos, int clazz)`
Invoked when an element of type `Object_variable_info` is visited.
`int`
`stack(int pos, int offset, int num)`
Invoked when `stack` of `stack_map_frame` is visited.
`void`
`typeInfo(int pos, byte tag)`
Invoked when an element of `verification_type_info` (except `Object_variable_info` and `Uninitialized_variable_info`) is visited.
`int`
`typeInfoArray(int pos, int offset, int num, boolean isLocals)`
Invoked when an array of `verification_type_info` is visited.
`void`
`uninitialized(int pos, int offset)`
Invoked when an element of type `Uninitialized_variable_info` is visited.
`void`
`visit()`
Visits each entry of the stack map frames.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Walker

public Walker(StackMap sm)
Constructs a walker.

## Method Details

### visit

public void visit()
Visits each entry of the stack map frames.

### locals

public int locals(int pos, int offset, int num)
Invoked when `locals` of `stack_map_frame` is visited.

### stack

public int stack(int pos, int offset, int num)
Invoked when `stack` of `stack_map_frame` is visited.

### typeInfoArray

public int typeInfoArray(int pos, int offset, int num, boolean isLocals)
Invoked when an array of `verification_type_info` is visited.

Parameters:
  `num` - the number of elements.
  `isLocals` - true if this array is for `locals`. false if it is for `stack`.

### typeInfo

public void typeInfo(int pos, byte tag)
Invoked when an element of `verification_type_info` (except `Object_variable_info` and `Uninitialized_variable_info`) is visited.

### objectVariable

public void objectVariable(int pos, int clazz)
Invoked when an element of type `Object_variable_info` is visited.

### uninitialized

public void uninitialized(int pos, int offset)
Invoked when an element of type `Uninitialized_variable_info` is visited.